Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class CrossoverOperation

    java.lang.Object
      Operator.Operations.CrossoverOperation

All Implemented Interfaces:
  Operation, ParameterI, Stochastic

Direct Known Subclasses:
  SinglePointCrossover, SubtreeCrossover

    public abstract class CrossoverOperation

extends java.lang.Object
implements Operation, Stochastic

Abstract class for CrossoverOperation

Author:
  Conor

Field Summary
`protected double` | `probability`
`protected RandomNumberGenerator` | `rand`

Constructor Summary
`CrossoverOperation(double prob, RandomNumberGenerator rng)` Creates a new instance of CrossoverOperation
`CrossoverOperation(RandomNumberGenerator rng, java.util.Properties p)` New instance

Method Summary
`abstract void` | `doOperation(java.util.List<Individual> operands)` Performs the operation on the list passed
`RandomNumberGenerator` | `getRNG()` Get the number generator
`void` | `setProperties(java.util.Properties p)` Set properties
`void` | `setRNG(RandomNumberGenerator m)` Set the number generator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Operator.Operations.Operation
`doOperation`

Field Detail

### probability

    protected double probability

### rand

    protected RandomNumberGenerator rand

Constructor Detail

### CrossoverOperation

    public CrossoverOperation(double prob,
                              RandomNumberGenerator rng)

  Creates a new instance of CrossoverOperation

  Parameters:
    `prob` - crossover probability
    `rng` - random number generator

### CrossoverOperation

    public CrossoverOperation(RandomNumberGenerator rng,
                              java.util.Properties p)

  New instance

  Parameters:
    `rng` - random number generator
    `p` - properties

Method Detail

### doOperation

    public abstract void doOperation(java.util.List<Individual> operands)

  Description copied from interface: `Operation`
  Performs the operation on the list passed

  Specified by:
    `doOperation` in interface `Operation`
  Parameters:
    `operands` - operands to be operated on

### setProperties

    public void setProperties(java.util.Properties p)

  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

### setRNG

    public void setRNG(RandomNumberGenerator m)

  Description copied from interface: `Stochastic`
  Set the number generator

  Specified by:
    `setRNG` in interface `Stochastic`
  Parameters:
    `m` - number generator

### getRNG

    public RandomNumberGenerator getRNG()

  Description copied from interface: `Stochastic`
  Get the number generator

  Specified by:
    `getRNG` in interface `Stochastic`
  Returns:
    number generator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD